/* prototype filter program - line (actually record) oriented */
#include <stdio.h>
#define BUFSIZ 4096
char buffer[BUFSIZ];
main(argc,argv)
char **argv;
{while	(!feof(stdin))
	{if	(fgetss(buffer,BUFSIZ,stdin)!=NULL)
		{fputss(buffer,stdout);
		 if	(ferror(stdout))
			{error("Can't write\n");
			}
		 ;
		}
	 else
		{if	(ferror(stdin))
			{error("Can't read\n");
			}
		 ;
		}
	 ;
	}
 ;
 fflush(stdout);
 if	(ferror(stdout))
	{error("Can't flush\n");
	}
 ;
 if	(fclose(stdout))
	{error("Can't close\n");
	}
 ;
}
